<div class="container">
  <div class="">
    <div class="col-lg-12 col-lg-offset-12">
      <!--MODIFY PROFILE -->
      <div class="login-panel panel panel-default">
        <div class="panel panel-heading">
          <h1 class="panel-title">Space edition</h1>
        </div>
        <div class="panel panel-body iot-panel-profile">
          <div class="col-lg-6">
            <!--LEFT part of form (space edition)-->
            <h5>Space's info</h5>
            <form #userEditForm="ngForm" (submit)="editOnSubmit()">
              <div class="form-group">
                <label for="spaceName">Space's name</label>
                <input type="text" [(ngModel)]="localSpaceModel.name" name="spaceName">
              </div>

              <div class="form-group">
                <label for="spaceDesc">Space's description</label>
                <textarea [(ngModel)]="localSpaceModel.description" name="spaceDesc"></textarea>
              </div>

              <button class="btn btn-light" type="reset">Reset</button>
              <button class="btn btn-success" type="submit">Modify</button>
            </form>
          </div>


          <!--RIGHT part of form (collaborators)-->
          <div class="col-lg-6">
          <h5>List of collaborators</h5>
            <div class="form-group">
              <div class="collaboratorsList">
                <ul>
                  <li *ngFor="let collaboratorId of getCollaboratorsIds()">
                    {{ collaboratorId }}
                    <button class="btn btn-danger" (click)="removeCollaborator(collaboratorId)">Remove</button>
                  </li>
                </ul>
              </div>
            </div>

            <!--form for a new collaborator-->
            <form #newCollaboratorForm="ngForm" (submit)="addCollaboratorOnSubmit()">

              <div class="form-group">
                <label for="inviteUid">UID to invite</label>
                <input type="text" [(ngModel)]="newCollaborator.id" name="inviteUid" disabled>
              </div>
              <div class="form-group">
                <label for="newColllabRule">Rule</label>
                <select class="form-control" [(ngModel)]="newCollaborator.rule" name="newColllabRule">
                  <option value="auto">Auto</option>
                  <option *ngFor="let aRule of availableRules" [value]="aRule">
                    {{aRule}}
                  </option>
                </select>
              </div>
              <button class="btn btn-primary" type="submit" disabled>Add</button>
            </form>

          </div>
        </div>
      </div>

    </div>
  </div>
</div>